<?php
/*-------------------------------------------------------+
| Filename: user_google-profile_location.php
| Author: Mateusz Sieprawski - http://duner.pl/
+--------------------------------------------------------*/
if(!defined("IN_FUSION")) die("Access Denied");
include_once INFUSIONS."duner_user_location/core.php";


// set infusion handler, infusion settings, include locale
$user_location = new User_location();
$inf_settings = $user_location->settings();
include_once INFUSIONS.INF_FOLDER."/locale/".$user_location->locale_file;


// display user field input
if($profile_method == "input") {
    
    // check if users are able to change this setting
    if($inf_settings['user_location_profile'] == 1) {
        $user_google = isSet($user_data['user_google_profile']) ? $user_data['user_google_profile'] : 0;

        echo "<tr>\n";
        echo "<td class='tbl'><label>".$locale['uf_google-profile_field_title']."</label></td>\n";
        echo "<td class='tbl'>";
        echo "<label><input type='checkbox' name='user_google_profile' value='1'".($user_google == 1 ? " checked='checked'" : "")." /> ".$locale['uf_google-profile_msg']."</label>\n";
        echo "</td>\n</tr>\n";
    }
	
// display in profile
} elseif($profile_method == "display") {
    // nothing in here
	
// insert or update
} elseif($profile_method == "validate_insert" OR $profile_method == "validate_update") {
    
    // get input data
    $user_google_profile = (isSet($_POST['user_google_profile']) ? $_POST['user_google_profile'] : 0);
    $this->_setDBValue("user_google_profile", $user_google_profile);

}