<?php
/*-------------------------------------------------------+
| Filename: user_google_location.php
| Author: Mateusz Sieprawski - http://duner.pl/
+--------------------------------------------------------*/
if(!defined("IN_FUSION")) die("Access Denied");
include_once INFUSIONS."duner_user_location/core.php";


// set infusion handler, infusion settings, include locale
$user_location = new User_location();
$inf_settings = $user_location->settings();
include_once INFUSIONS.INF_FOLDER."/locale/".$user_location->locale_file;


// display user field input
if($profile_method == "input") {
    
    $user_google = isSet($user_data['user_google']) ? $user_data['user_google'] : "";
    if($this->isError()) $user_google = isSet($_POST['user_google']) ? stripinput($_POST['user_google']) : $user_google;

    echo "<tr>\n";
    echo "<td class='tbl".$this->getErrorClass("user_google")."'><label>".$locale['uf_google_field_title'].$required."</label></td>\n";
    echo "<td class='tbl".$this->getErrorClass("user_google")."'>";
    echo "<div id='map' style='width:".$inf_settings['user_location_width']."px;height:".$inf_settings['user_location_height']."px'></div>\n";
    echo "<input type='hidden' name='Glng' value='0' />\n";
    echo "<input type='hidden' name='Glat' value='0' />\n";
    echo "<input type='hidden' name='user_google' value='0' />\n";
    echo "</td>\n</tr>\n";

    $this->setRequiredJavaScript("user_google", $locale['uf_google_info']);
	
// display in profile
} elseif($profile_method == "display") {
    if($user_data['user_google']) {
        $show = FALSE;
        
        // check if map should be displayed
        if($inf_settings['user_location_profile'] == 0) {
            $show = TRUE;
        } else {
            if(isSet($user_data['user_google_profile']) && $user_data['user_google_profile'] == 1) {
                $show = TRUE;
            }
        }
        
        // show map
        if($show == TRUE) {
            echo "<tr>\n";
                echo "<td class='tbl1'>".$locale['uf_google_field_title']."</td>\n";
                echo "<td align='right' class='tbl1'>\n";
                    echo "<div id='map' style='width:".$inf_settings['user_location_width']."px;height:".$inf_settings['user_location_height']."px'></div>\n";
                echo "</td>\n";
            echo "</tr>\n";
        }
    }
	
// insert or update
} elseif($profile_method == "validate_insert" OR $profile_method == "validate_update") {
    
    // get input data
    if(isSet($_POST['user_google']) && $_POST['user_google'] != 0) {
        
        // set update or insert user data
        $this->_setDBValue("user_google", stripinput(trim($_POST['user_google'])));
    } else {
        $this->_setError("user_google", $locale['uf_google_info'], TRUE);
    }
}