<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: header.php
| Author: Nick Jones (Digitanium)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

require_once INCLUDES."output_handling_include.php";
require_once INCLUDES."header_includes.php";
require_once THEME."theme.php";
require_once THEMES."templates/render_functions.php";

if ($settings['maintenance'] == "1" && ((iMEMBER && $settings['maintenance_level'] == "1" 
	&& $userdata['user_id'] != "1") || ($settings['maintenance_level'] > $userdata['user_level'])
)) { 
	redirect(BASEDIR."maintenance.php");
 }
if (iMEMBER) { 
	$result = dbquery(
		"UPDATE ".DB_USERS." SET user_lastvisit='".time()."', user_ip='".USER_IP."', user_ip_type='".USER_IP_TYPE."'
		WHERE user_id='".$userdata['user_id']."'"
	); 
}

echo "<!DOCTYPE html PUBLIC '-//W3C//DTD XHTML 1.0 Transitional//EN' 'http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd'>\n";
echo "<html xmlns='http://www.w3.org/1999/xhtml' xml:lang='".$locale['xml_lang']."' lang='".$locale['xml_lang']."'>\n";
echo "<head>\n<title>".$settings['sitename']."</title>\n";
echo "<meta http-equiv='Content-Type' content='text/html; charset=".$locale['charset']."' />\n";
echo "<meta name='description' content='".$settings['description']."' />\n";
echo "<meta name='keywords' content='".$settings['keywords']."' />\n";
echo "<link rel='stylesheet' href='".THEME."styles.css' type='text/css' media='screen' />\n";
if (file_exists(IMAGES."favicon.ico")) { echo "<link rel='shortcut icon' href='".IMAGES."favicon.ico' type='image/x-icon' />\n"; }
if (function_exists("get_head_tags")) { echo get_head_tags(); }
echo "<script type='text/javascript' src='".INCLUDES."jquery/jquery.js'></script>\n";
echo "<script type='text/javascript' src='".INCLUDES."jscript.js'></script>\n";

require_once INFUSIONS."duner_user_location/core.php";
$user_location = new User_location();
$user_location_settings = $user_location->settings();
if($user_location->is_installed() == TRUE && (FUSION_SELF == "edit_profile.php" OR FUSION_SELF == "register.php" OR FUSION_SELF == "profile.php")) {
    echo "<script type='text/javascript' src='".INFUSIONS."duner_user_location/js/map.js'></script>\n";
    echo "<script src='http://maps.google.com/maps?file=api&v=2&key=".$user_location_settings['user_location_key']."&sensor=true' type='text/javascript'></script>\n";
    
    $center_coords = $user_location->get_center_coords();
    ?>
    <script type="text/javascript">
        <?php if($user_location->user_x != 0 && $user_location->user_y != 0): ?>
        var lat = <?php echo $user_location->user_x; ?>;
        var lng = <?php echo $user_location->user_y; ?>;
        var zoom = 8;
        <?php else: ?>
        var lat = <?php echo $center_coords['x']; ?>;
        var lng = <?php echo $center_coords['y']; ?>;
        var zoom = 6;
        <?php endif; ?>

        function load() {
        if (GBrowserIsCompatible()) {
            var map = new GMap2(document.getElementById("map"));
            map.addControl(new GLargeMapControl());
            map.addControl(new GMapTypeControl());
            map.setCenter(new GLatLng(lat, lng), zoom);


            var point = new GLatLng(<?php echo $user_location->user_x; ?>, <?php echo $user_location->user_y; ?>);
            var marker = new GMarker(point);
            map.addOverlay(marker);
            inputform.Glng.value = point.x;
            inputform.Glat.value = point.y;
            inputform.user_google.value = point.x + ", " + point.y;

            GEvent.addListener(map, "click", function(overlay, point) {

            if (overlay) {
                map.removeOverlay(overlay);
                inputform.Glng.value = 0;
                inputform.Glat.value = 0;
                inputform.user_google.value = 0;

            } else {
                map.clearOverlays();
                map.addOverlay(new GMarker(point));
                inputform.Glng.value = point.x;
                inputform.Glat.value = point.y;
                inputform.user_google.value = point.x + ", " + point.y;
            }
            });
        }
        }
    </script>
    <?php
    echo "</head>\n<body onload='load()' onunload='GUnload()'>\n";
} else {
    echo "</head>\n<body>\n";
}

require_once THEMES."templates/panels.php";
ob_start();
?>